Index: /orxonox/trunk/Makefile.am
===================================================================
--- /orxonox/trunk/Makefile.am	(revision 3166)
+++ /orxonox/trunk/Makefile.am	(revision 3167)
@@ -1,2 +1,4 @@
+AUTOMAKE_OPTIONS = foreign no-installman no-installinfo 
+
 if HAVE_GTK2
   GTK_PROGS =console
@@ -6,2 +8,20 @@
 
 SUBDIRS = src importer gui $(GTK_PROGS)
+
+
+
+##
+## Doxygen stuff
+##
+
+DOXYGEN_INPUT = src gui
+
+## Exclude the application wizard templates, and some file templates
+DOXYGEN_EXCLUDE = 
+
+DOXYGEN_EXAMPLE_PATH = 
+
+## Use Search engine (Versions 1.3.4 and above only!)
+DOXYGEN_SEARCHENGINE = YES
+
+include doc/documentation.am
Index: /orxonox/trunk/Makefile.in
===================================================================
--- /orxonox/trunk/Makefile.in	(revision 3166)
+++ /orxonox/trunk/Makefile.in	(revision 3167)
@@ -37,7 +37,7 @@
 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
-	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
-	config.guess config.sub depcomp install-sh missing \
-	mkinstalldirs
+	$(srcdir)/doc/documentation.am $(top_srcdir)/configure AUTHORS \
+	COPYING ChangeLog INSTALL NEWS config.guess config.sub depcomp \
+	install-sh missing mkinstalldirs
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -164,7 +164,14 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
+AUTOMAKE_OPTIONS = foreign no-installman no-installinfo 
 @HAVE_GTK2_FALSE@GTK_PROGS = 
-@HAVE_GTK2_TRUE@GTK_PROGS = gui console
-SUBDIRS = src importer $(GTK_PROGS)
+@HAVE_GTK2_TRUE@GTK_PROGS = console
+SUBDIRS = src importer gui $(GTK_PROGS)
+DOXYGEN_INPUT = src gui
+DOXYGEN_EXCLUDE = 
+DOXYGEN_EXAMPLE_PATH = 
+DOXYGEN_SEARCHENGINE = YES
+DX_CONFIG_FILE = "$(top_srcdir)/orxodox"
+DX_CONF_DIR = "$(top_srcdir)/doc/doxyconf"
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
@@ -173,17 +180,17 @@
 am--refresh:
 	@:
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/doc/documentation.am $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
-	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
-	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
+	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
+	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
 		&& exit 0; \
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  Makefile
+	  $(AUTOMAKE) --foreign  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -346,4 +353,5 @@
 	$(am__remove_distdir)
 	mkdir $(distdir)
+	$(mkdir_p) $(distdir)/doc
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
@@ -558,5 +566,5 @@
 ps-am:
 
-uninstall-am: uninstall-info-am
+uninstall-am:
 
 uninstall-info: uninstall-info-recursive
@@ -577,4 +585,43 @@
 	uninstall-info-am
 
+
+doc:
+	@echo "Generating doxygen Documentation"; \
+	if test ! -e $(DX_CONFIG_FILE); then \
+	 make doc-config; \
+	fi
+	doxygen $(DX_CONFIG_FILE)
+
+doc-config:
+	@echo "Generationg doxygen configuration File." ; \
+	if test -e  "$(top_srcdir)/orxodox"; then \
+	  echo "deleting existing Configuration File" ; \
+	  rm $(top_srcdir)/orxodox ; \
+	fi ; \
+	touch $(DX_CONFIG_FILE) ; \
+	$(DX_CONF_DIR)/project						>> $(DX_CONFIG_FILE); \
+	echo "PROJECT_NAME		= \"$(PACKAGE_NAME)\"" 		>> $(DX_CONFIG_FILE); \
+	echo "PROJECT_NUMBER	   	= \"$(PACKAGE_VERSION)\"" 	>> $(DX_CONFIG_FILE); \
+	echo "OUTPUT_DIRECTORY  	= \"$(top_srcdir)/doc/\"" 	>> $(DX_CONFIG_FILE); \
+	echo " " >> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/build						>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/progress						>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/input						>> $(DX_CONFIG_FILE); \
+	echo "INPUT                  	= $(DOXYGEN_INPUT)"  		>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/preprocessor					>> $(DX_CONFIG_FILE); \
+	echo "INCLUDE_PATH           	= \"$(top_srcdir)\""		>> $(DX_CONFIG_FILE); \
+	echo "PREDEFINED             	= \"HAVE_CONFIG_H= \""		>> $(DX_CONFIG_FILE); \
+	\
+	$(DX_CONF_DIR)/confopts						>> $(DX_CONFIG_FILE) 
+
+.PHONY: doc doc-config
+
+# Local Variables:
+# mode: makefile
+# End:
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
Index: /orxonox/trunk/doc/documentation.am
===================================================================
--- /orxonox/trunk/doc/documentation.am	(revision 3167)
+++ /orxonox/trunk/doc/documentation.am	(revision 3167)
@@ -0,0 +1,45 @@
+DX_CONFIG_FILE = "$(top_srcdir)/orxodox"
+DX_CONF_DIR = "$(top_srcdir)/doc/doxyconf"
+
+doc:
+	@echo "Generating doxygen Documentation"; \
+	if test ! -e $(DX_CONFIG_FILE); then \
+	 make doc-config; \
+	fi
+	doxygen $(DX_CONFIG_FILE)
+
+doc-config:
+	@echo "Generationg doxygen configuration File." ; \
+	if test -e  "$(top_srcdir)/orxodox"; then \
+	  echo "deleting existing Configuration File" ; \
+	  rm $(top_srcdir)/orxodox ; \
+	fi ; \
+	touch $(DX_CONFIG_FILE) ; \
+	$(DX_CONF_DIR)/project						>> $(DX_CONFIG_FILE); \
+	echo "PROJECT_NAME		= \"$(PACKAGE_NAME)\"" 		>> $(DX_CONFIG_FILE); \
+	echo "PROJECT_NUMBER	   	= \"$(PACKAGE_VERSION)\"" 	>> $(DX_CONFIG_FILE); \
+	echo "OUTPUT_DIRECTORY  	= \"$(top_srcdir)/doc/\"" 	>> $(DX_CONFIG_FILE); \
+	echo " " >> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/build						>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/progress						>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/input						>> $(DX_CONFIG_FILE); \
+	echo "INPUT                  	= $(DOXYGEN_INPUT)"  		>> $(DX_CONFIG_FILE); \
+\
+	$(DX_CONF_DIR)/preprocessor					>> $(DX_CONFIG_FILE); \
+	echo "INCLUDE_PATH           	= \"$(top_srcdir)\""		>> $(DX_CONFIG_FILE); \
+	echo "PREDEFINED             	= \"HAVE_CONFIG_H= \""		>> $(DX_CONFIG_FILE); \
+	\
+	$(DX_CONF_DIR)/confopts						>> $(DX_CONFIG_FILE) 
+
+
+
+
+
+.PHONY: doc doc-config
+
+# Local Variables:
+# mode: makefile
+# End:
Index: /orxonox/trunk/doc/doxyconf/build
===================================================================
--- /orxonox/trunk/doc/doxyconf/build	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/build	(revision 3167)
@@ -0,0 +1,28 @@
+echo "
+#---------------------------------------------------------------------------
+# Build related configuration options
+#---------------------------------------------------------------------------
+EXTRACT_ALL            = NO
+EXTRACT_PRIVATE        = NO
+EXTRACT_STATIC         = NO
+EXTRACT_LOCAL_CLASSES  = YES
+EXTRACT_LOCAL_METHODS  = NO
+HIDE_UNDOC_MEMBERS     = NO
+HIDE_UNDOC_CLASSES     = NO
+HIDE_FRIEND_COMPOUNDS  = NO
+HIDE_IN_BODY_DOCS      = NO
+INTERNAL_DOCS          = NO
+CASE_SENSE_NAMES       = YES
+HIDE_SCOPE_NAMES       = NO
+SHOW_INCLUDE_FILES     = YES
+INLINE_INFO            = YES
+SORT_MEMBER_DOCS       = YES
+SORT_BRIEF_DOCS        = NO
+SORT_BY_SCOPE_NAME     = NO
+GENERATE_TODOLIST      = YES
+GENERATE_TESTLIST      = YES
+GENERATE_BUGLIST       = YES
+GENERATE_DEPRECATEDLIST= YES
+ENABLED_SECTIONS       = 
+MAX_INITIALIZER_LINES  = 30
+SHOW_USED_FILES        = YES"
Index: /orxonox/trunk/doc/doxyconf/confopts
===================================================================
--- /orxonox/trunk/doc/doxyconf/confopts	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/confopts	(revision 3167)
@@ -0,0 +1,121 @@
+echo "
+#---------------------------------------------------------------------------
+# configuration options related to source browsing
+#---------------------------------------------------------------------------
+SOURCE_BROWSER         = NO
+INLINE_SOURCES         = NO
+STRIP_CODE_COMMENTS    = YES
+REFERENCED_BY_RELATION = YES
+REFERENCES_RELATION    = YES
+VERBATIM_HEADERS       = YES
+
+#---------------------------------------------------------------------------
+# configuration options related to the alphabetical class index
+#---------------------------------------------------------------------------
+ALPHABETICAL_INDEX     = NO
+COLS_IN_ALPHA_INDEX    = 5
+IGNORE_PREFIX          = 
+#---------------------------------------------------------------------------
+# configuration options related to the HTML output
+#---------------------------------------------------------------------------
+GENERATE_HTML          = YES
+HTML_OUTPUT            = html
+HTML_FILE_EXTENSION    = .html
+HTML_HEADER            = 
+HTML_FOOTER            = 
+HTML_STYLESHEET        = 
+HTML_ALIGN_MEMBERS     = YES
+GENERATE_HTMLHELP      = NO
+CHM_FILE               = 
+HHC_LOCATION           = 
+GENERATE_CHI           = NO
+BINARY_TOC             = NO
+TOC_EXPAND             = NO
+DISABLE_INDEX          = NO
+ENUM_VALUES_PER_LINE   = 4
+GENERATE_TREEVIEW      = NO
+TREEVIEW_WIDTH         = 250
+#---------------------------------------------------------------------------
+# configuration options related to the LaTeX output
+#---------------------------------------------------------------------------
+GENERATE_LATEX         = YES
+LATEX_OUTPUT           = latex
+LATEX_CMD_NAME         = latex
+MAKEINDEX_CMD_NAME     = makeindex
+COMPACT_LATEX          = NO
+PAPER_TYPE             = a4wide
+EXTRA_PACKAGES         = 
+LATEX_HEADER           = 
+PDF_HYPERLINKS         = NO
+USE_PDFLATEX           = NO
+LATEX_BATCHMODE        = NO
+LATEX_HIDE_INDICES     = NO
+#---------------------------------------------------------------------------
+# configuration options related to the RTF output
+#---------------------------------------------------------------------------
+GENERATE_RTF           = NO
+RTF_OUTPUT             = rtf
+COMPACT_RTF            = NO
+RTF_HYPERLINKS         = NO
+RTF_STYLESHEET_FILE    = 
+RTF_EXTENSIONS_FILE    = 
+#---------------------------------------------------------------------------
+# configuration options related to the man page output
+#---------------------------------------------------------------------------
+GENERATE_MAN           = NO
+MAN_OUTPUT             = man
+MAN_EXTENSION          = .3
+MAN_LINKS              = NO
+#---------------------------------------------------------------------------
+# configuration options related to the XML output
+#---------------------------------------------------------------------------
+GENERATE_XML           = NO
+XML_OUTPUT             = xml
+XML_SCHEMA             = 
+XML_DTD                = 
+XML_PROGRAMLISTING     = YES
+#---------------------------------------------------------------------------
+# configuration options for the AutoGen Definitions output
+#---------------------------------------------------------------------------
+GENERATE_AUTOGEN_DEF   = NO
+#---------------------------------------------------------------------------
+# configuration options related to the Perl module output
+#---------------------------------------------------------------------------
+GENERATE_PERLMOD       = NO
+PERLMOD_LATEX          = NO
+PERLMOD_PRETTY         = YES
+PERLMOD_MAKEVAR_PREFIX = 
+#---------------------------------------------------------------------------
+# Configuration::additions related to external references   
+#---------------------------------------------------------------------------
+TAGFILES               = 
+GENERATE_TAGFILE       = 
+ALLEXTERNALS           = NO
+EXTERNAL_GROUPS        = YES
+PERL_PATH              = /usr/bin/perl
+#---------------------------------------------------------------------------
+# Configuration options related to the dot tool   
+#---------------------------------------------------------------------------
+CLASS_DIAGRAMS         = YES
+HIDE_UNDOC_RELATIONS   = YES
+HAVE_DOT               = NO
+CLASS_GRAPH            = YES
+COLLABORATION_GRAPH    = YES
+UML_LOOK               = NO
+TEMPLATE_RELATIONS     = NO
+INCLUDE_GRAPH          = YES
+INCLUDED_BY_GRAPH      = YES
+CALL_GRAPH             = NO
+GRAPHICAL_HIERARCHY    = YES
+DOT_IMAGE_FORMAT       = png
+DOT_PATH               = 
+DOTFILE_DIRS           = 
+MAX_DOT_GRAPH_WIDTH    = 1024
+MAX_DOT_GRAPH_HEIGHT   = 1024
+MAX_DOT_GRAPH_DEPTH    = 0
+GENERATE_LEGEND        = YES
+DOT_CLEANUP            = YES
+#---------------------------------------------------------------------------
+# Configuration::additions related to the search engine   
+#---------------------------------------------------------------------------
+SEARCHENGINE           = NO"
Index: /orxonox/trunk/doc/doxyconf/input
===================================================================
--- /orxonox/trunk/doc/doxyconf/input	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/input	(revision 3167)
@@ -0,0 +1,15 @@
+echo "
+#---------------------------------------------------------------------------
+# configuration options related to the input files
+#---------------------------------------------------------------------------
+FILE_PATTERNS          = 
+RECURSIVE              = NO
+EXCLUDE                = 
+EXCLUDE_SYMLINKS       = NO
+EXCLUDE_PATTERNS       = 
+EXAMPLE_PATH           = 
+EXAMPLE_PATTERNS       = 
+EXAMPLE_RECURSIVE      = NO
+IMAGE_PATH             = 
+INPUT_FILTER           = 
+FILTER_SOURCE_FILES    = NO"
Index: /orxonox/trunk/doc/doxyconf/preprocessor
===================================================================
--- /orxonox/trunk/doc/doxyconf/preprocessor	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/preprocessor	(revision 3167)
@@ -0,0 +1,11 @@
+echo "
+#---------------------------------------------------------------------------
+# Configuration options related to the preprocessor   
+#---------------------------------------------------------------------------
+ENABLE_PREPROCESSING   = YES
+MACRO_EXPANSION        = NO
+EXPAND_ONLY_PREDEF     = NO
+SEARCH_INCLUDES        = YES
+INCLUDE_FILE_PATTERNS  = 
+EXPAND_AS_DEFINED      = 
+SKIP_FUNCTION_MACROS   = YES"
Index: /orxonox/trunk/doc/doxyconf/progress
===================================================================
--- /orxonox/trunk/doc/doxyconf/progress	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/progress	(revision 3167)
@@ -0,0 +1,10 @@
+echo "
+#---------------------------------------------------------------------------
+# configuration options related to warning and progress messages
+#---------------------------------------------------------------------------
+QUIET                  = NO
+WARNINGS               = YES
+WARN_IF_UNDOCUMENTED   = YES
+WARN_IF_DOC_ERROR      = YES
+WARN_FORMAT            = \"\$file:\$line: \$text\"
+WARN_LOGFILE           = "
Index: /orxonox/trunk/doc/doxyconf/project
===================================================================
--- /orxonox/trunk/doc/doxyconf/project	(revision 3167)
+++ /orxonox/trunk/doc/doxyconf/project	(revision 3167)
@@ -0,0 +1,26 @@
+echo "
+#---------------------------------------------------------------------------
+# Project related configuration options
+#---------------------------------------------------------------------------
+CREATE_SUBDIRS         = YES
+OUTPUT_LANGUAGE        = English
+USE_WINDOWS_ENCODING   = YES
+BRIEF_MEMBER_DESC      = YES
+REPEAT_BRIEF           = YES
+ABBREVIATE_BRIEF       = 
+ALWAYS_DETAILED_SEC    = NO
+INLINE_INHERITED_MEMB  = NO
+FULL_PATH_NAMES        = NO
+STRIP_FROM_PATH        = 
+STRIP_FROM_INC_PATH    = 
+SHORT_NAMES            = NO
+JAVADOC_AUTOBRIEF      = NO
+MULTILINE_CPP_IS_BRIEF = NO
+DETAILS_AT_TOP         = NO
+INHERIT_DOCS           = YES
+DISTRIBUTE_GROUP_DOC   = NO
+TAB_SIZE               = 8
+ALIASES                = 
+OPTIMIZE_OUTPUT_FOR_C  = NO
+OPTIMIZE_OUTPUT_JAVA   = NO
+SUBGROUPING            = YES"
Index: /orxonox/trunk/gui/Makefile.in
===================================================================
--- /orxonox/trunk/gui/Makefile.in	(revision 3166)
+++ /orxonox/trunk/gui/Makefile.in	(revision 3167)
@@ -216,7 +216,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  gui/Makefile
+	  $(AUTOMAKE) --foreign  gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui.cc	(revision 3166)
+++ /orxonox/trunk/gui/orxonox_gui.cc	(revision 3167)
@@ -66,5 +66,5 @@
 #ifdef HAVE_GTK2
   initGTK(argc, argv);
-#endif
+#endif /* HAVE_GTK2 */
   orxonoxGUI = new Window( "Grafical OrxOnoX loader, "PACKAGE_VERSION);
 #ifdef HAVE_GTK2
@@ -126,3 +126,2 @@
 
 }
-
